ExperienceRoyale (JGoodies Looks 2.6 API)
Date: 2015-01-03

com.jgoodies.looks.plastic.theme

## Class ExperienceRoyale

- java.lang.Object
- - javax.swing.plaf.metal.MetalTheme
  - - javax.swing.plaf.metal.DefaultMetalTheme
    - - com.jgoodies.looks.plastic.PlasticTheme
      - - com.jgoodies.looks.plastic.theme.SkyBluer
        - - com.jgoodies.looks.plastic.theme.DesertBluer
          - - com.jgoodies.looks.plastic.theme.ExperienceRoyale

-     public class ExperienceRoyale
      extends DesertBluer

  A theme with low saturated blue primary colors and a light gray/blueish window background. It has been optimized to work with Windows XP using the "Royale" desktop theme.
  Since:
    2.0.3
  Version:
    $Revision: 1.8 $
  Author:
    Karsten Lentzsch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ColorUIResource` | `ROYALE_BACKGROUND`
    `protected static ColorUIResource` | `ROYALE_BACKGROUND_DARKER`
    `protected static ColorUIResource` | `ROYALE_SELECTION`

    - ### Fields inherited from class com.jgoodies.looks.plastic.PlasticTheme

      `BLACK, BRIGHTEN_START, BRIGHTEN_STOP, DARKEN_START, DARKEN_STOP, LT_BRIGHTEN_STOP, LT_DARKEN_STOP, WHITE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExperienceRoyale()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCustomEntriesToTable(UIDefaults table)`
    `ColorUIResource` | `getFocusColor()`
    `ColorUIResource` | `getMenuItemBackground()`
    `ColorUIResource` | `getMenuSelectedBackground()`
    `ColorUIResource` | `getMenuSelectedForeground()`
    `String` | `getName()`
    `protected ColorUIResource` | `getPrimary1()`
    `protected ColorUIResource` | `getPrimary2()`
    `protected ColorUIResource` | `getPrimary3()`
    `ColorUIResource` | `getPrimaryControlShadow()`
    `protected ColorUIResource` | `getSecondary1()`
    `protected ColorUIResource` | `getSecondary2()`
    `protected ColorUIResource` | `getSecondary3()`
    `ColorUIResource` | `getToggleButtonCheckColor()`

    - ### Methods inherited from class com.jgoodies.looks.plastic.theme.DesertBluer

      `getHighlightedTextColor, getMenuItemSelectedBackground, getTextHighlightColor`

    - ### Methods inherited from class com.jgoodies.looks.plastic.theme.SkyBluer

      `getMenuItemSelectedForeground`

    - ### Methods inherited from class com.jgoodies.looks.plastic.PlasticTheme

      `equals, getBlack, getControlTextFont, getFontSet, getMenuForeground, getMenuTextFont, getSimpleInternalFrameBackground, getSimpleInternalFrameForeground, getSubTextFont, getSystemTextColor, getSystemTextFont, getTitleTextColor, getTitleTextFont, getUserTextFont, getWhite, getWindowTitleFont, hashCode`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalTheme

      `getAcceleratorForeground, getAcceleratorSelectedForeground, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getControlTextColor, getDesktopColor, getInactiveControlTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuDisabledForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getSeparatorBackground, getSeparatorForeground, getUserTextColor, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROYALE_BACKGROUND

          protected static final ColorUIResource ROYALE_BACKGROUND

    - #### ROYALE_BACKGROUND_DARKER

          protected static final ColorUIResource ROYALE_BACKGROUND_DARKER

    - #### ROYALE_SELECTION

          protected static final ColorUIResource ROYALE_SELECTION

  - ### Constructor Detail

    - #### ExperienceRoyale

          public ExperienceRoyale()

  - ### Method Detail

    - #### getName

          public String getName()

      Overrides:
        `getName` in class `DesertBluer`

    - #### getPrimary1

          protected ColorUIResource getPrimary1()

      Overrides:
        `getPrimary1` in class `DesertBluer`

    - #### getPrimary2

          protected ColorUIResource getPrimary2()

      Overrides:
        `getPrimary2` in class `DesertBluer`

    - #### getPrimary3

          protected ColorUIResource getPrimary3()

      Overrides:
        `getPrimary3` in class `DesertBluer`

    - #### getSecondary1

          protected ColorUIResource getSecondary1()

      Overrides:
        `getSecondary1` in class `DesertBluer`

    - #### getSecondary2

          protected ColorUIResource getSecondary2()

      Overrides:
        `getSecondary2` in class `DesertBluer`

    - #### getSecondary3

          protected ColorUIResource getSecondary3()

      Overrides:
        `getSecondary3` in class `DesertBluer`

    - #### getFocusColor

          public ColorUIResource getFocusColor()

      Overrides:
        `getFocusColor` in class `DesertBluer`

    - #### getPrimaryControlShadow

          public ColorUIResource getPrimaryControlShadow()

      Overrides:
        `getPrimaryControlShadow` in class `MetalTheme`

    - #### getMenuSelectedBackground

          public ColorUIResource getMenuSelectedBackground()

      Overrides:
        `getMenuSelectedBackground` in class `SkyBluer`

    - #### getMenuSelectedForeground

          public ColorUIResource getMenuSelectedForeground()

      Overrides:
        `getMenuSelectedForeground` in class `MetalTheme`

    - #### getMenuItemBackground

          public ColorUIResource getMenuItemBackground()

      Overrides:
        `getMenuItemBackground` in class `PlasticTheme`

    - #### getToggleButtonCheckColor

          public ColorUIResource getToggleButtonCheckColor()

      Overrides:
        `getToggleButtonCheckColor` in class `PlasticTheme`

    - #### addCustomEntriesToTable

          public void addCustomEntriesToTable(UIDefaults table)

      Overrides:
        `addCustomEntriesToTable` in class `SkyBluer`

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.